Download it now!
Bug 92058 - FILEOPEN: PPTX textbox has black border
Summary: FILEOPEN: PPTX textbox has black border
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta3
Hardware: Other All
: medium normal
Assignee: Matus Uzak
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-06-14 07:42 UTC by tommy27
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2015-06-14 07:42:52 UTC
followup of Bug 62255

open attachment 76432 [details] in LibO 4.4.x and 5.1.x master

in master there's a black border around textbox.

see screenshot here: attachment 116518 [details]

tested under Win8.1 x64 using LibO 4.4.3 vs. 5.1.0 alpha1+
Build ID: bb9dad2ef23829b2500c9f99154bca6a8ba7d49a
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-11_23:59:18
Locale: en-US (it_IT)

it's a regression and need bibisecting
can anyone tell if it affects LibO 5.0.0 betas too?
Comment 1 MM 2015-06-14 11:35:39 UTC
Confirmed with v5.0.0.0 b3 under mint 17.1 x64.

Black border is also shown in beta, not with v4.4.
Comment 2 Terrence Enger 2015-06-16 00:28:21 UTC
Working in the 50max bibisect repository, I see from `git bisect bad` ...

    806865a557c24286a926deffa426c8fd2de9fd63 is the first bad commit
    commit 806865a557c24286a926deffa426c8fd2de9fd63
    Author: Matthew Francis <mjay.francis@gmail.com>
    Date:   Wed May 27 22:52:40 2015 +0800

        source-hash-3e4d2043e99201ec542186039e3be34d3c226111
    
        commit 3e4d2043e99201ec542186039e3be34d3c226111
        Author:     yogesh.bharate001 <yogesh.bharate@synerzip.com>
        AuthorDate: Thu Apr 16 19:24:37 2015 +0530
        Commit:     Caolán McNamara <caolanm@redhat.com>
        CommitDate: Sat May 9 19:55:31 2015 +0000
    
            tdf#90190 PPTX table cell border width is not exported.
    
            Problem:
            - Table cell border width is not exported.
            i.e lnL, lnR, lnT, LnB are not exported inside the tcPr.
    
            XML Difference:
            Original :
            <a:lnT w = "76200">
    
            After RT : tag is missing.
    
            Solution : Added solution for Table cell border width.
    
            Change-Id: I19185f2ad176325bf7990c9da6becc66557c717b
            Reviewed-on: https://gerrit.libreoffice.org/15350
            Tested-by: Jenkins <ci@libreoffice.org>
            Reviewed-by: Caolán McNamara <caolanm@redhat.com>
            Tested-by: Caolán McNamara <caolanm@redhat.com>

    :040000 040000 88ea272119160af3ff55c075a5037eb3a3528fe2 ddef57e35a70b5942704b75d92f2197350372255 M	opt

and from `git bisect log` ...

    # bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
    # good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
    git bisect start 'latest' 'oldest'
    # good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
    git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
    # good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
    git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
    # good: [40875247f0002056effdf6d2fbe43627691cd86c] source-hash-93f0b14458a618ad575cd446680e5c4aa7d87bdc
    git bisect good 40875247f0002056effdf6d2fbe43627691cd86c
    # skip: [61f66b1a251477193d796411ca95f50d606ead45] source-hash-3fd5f8919ec2256c70ff26c14cb9f8065c5cb2f1
    git bisect skip 61f66b1a251477193d796411ca95f50d606ead45
    # good: [e7374cd735af2344dae55be40946d96633d2f6ee] source-hash-8a91528a3e03fe6e2923c33327b687ecf57adb0b
    git bisect good e7374cd735af2344dae55be40946d96633d2f6ee
    # bad: [541837707e7b0c5f5335180de535043c43e78e8d] source-hash-0811de12ee6727bbb9d4265217833ba02301eed8
    git bisect bad 541837707e7b0c5f5335180de535043c43e78e8d
    # bad: [2faf2a5126e3ccf78be3d6619b571358bb7af742] source-hash-2523972f6a066488c649ab97dcba4f458126f18b
    git bisect bad 2faf2a5126e3ccf78be3d6619b571358bb7af742
    # good: [8f6f05e17a2972f3b9f83bbc4e10231626b44c13] source-hash-2c70139d6a8d8fabd671455d3edd32117783d4d7
    git bisect good 8f6f05e17a2972f3b9f83bbc4e10231626b44c13
    # good: [3629c94e7c28b3be63abd20c606ce2928ee00d2b] source-hash-d133a87c1e518f14b0fa0e0e8e372a9925c55f1a
    git bisect good 3629c94e7c28b3be63abd20c606ce2928ee00d2b
    # bad: [944d3cc98286a9d17d6b400cb180fdcdd41008e3] source-hash-39707f9448d65ba14e04fc9377f87086dab58e89
    git bisect bad 944d3cc98286a9d17d6b400cb180fdcdd41008e3
    # bad: [1597cf3f4e0c8b77a8be077c69b16108a8f4f359] source-hash-24be7ef5887ec3598b3b34cb4fccff17ed6e1106
    git bisect bad 1597cf3f4e0c8b77a8be077c69b16108a8f4f359
    # good: [85e101318201dc29717dcc7c0209a3fa2e683139] source-hash-8b867887022903bc5788b01db51dfcec521dc878
    git bisect good 85e101318201dc29717dcc7c0209a3fa2e683139
    # good: [c6dd38791918d5ebf5b56ec3c0b0345cbccd7d56] source-hash-442701de0c110ca58ff41abe6bf7ec4496f8457d
    git bisect good c6dd38791918d5ebf5b56ec3c0b0345cbccd7d56
    # good: [0e2ec2f114c8a838aa027860a7fc29fa68bf5066] source-hash-3acb1d4b28944de908ffb3d0b756725ae015214f
    git bisect good 0e2ec2f114c8a838aa027860a7fc29fa68bf5066
    # bad: [806865a557c24286a926deffa426c8fd2de9fd63] source-hash-3e4d2043e99201ec542186039e3be34d3c226111
    git bisect bad 806865a557c24286a926deffa426c8fd2de9fd63
    # first bad commit: [806865a557c24286a926deffa426c8fd2de9fd63] source-hash-3e4d2043e99201ec542186039e3be34d3c226111
Comment 3 tommy27 2015-06-16 19:41:55 UTC
@Yogesh
would you please take a look at this?
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:13:03 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-03-04 22:25:36 UTC
Matus Uzak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87d0df65a93db4d720e25e8ef5da4068380b5c58

tdf#62255,tdf#92058: PPTX import: Incorrect inheritance of default table style

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Terrence Enger 2016-04-05 23:35:53 UTC
I now see that the unwanted black border is gone, but the blue
background is also gone.

This is with daily Linux dbgutil bibisect version 2016-04-05 running
in an environment chroot'd to debian-sid.